package kz.com.aman.kassa.activities;

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.view.View
import kz.com.aman.kassa.R

import io.flutter.app.FlutterActivity


class BankActivity : FlutterActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        Log.i("BankActivity","onCreate")
        setContentView(R.layout.activity_bank)
    }

    fun myClickHandler(view: View) {
        Log.i("BankActivity","closed")
        val returnIntent = Intent()
        returnIntent.putExtra("result", "abrakadabra")
        setResult(Activity.RESULT_OK, returnIntent)
        finish()
    }

    override fun onDestroy() {
        val returnIntent = Intent()
        returnIntent.putExtra("result", "abrakadabra")
        setResult(Activity.RESULT_CANCELED, returnIntent)
        super.onDestroy()
    }
}